import request from '@/utils/request'

export function getFrontAuditConfigList(param) {
  return request({
    url: '/FrontAuditConfig/getFrontAuditConfigList',
    method: 'post',
    data: param
  })
}
export function addOrUpdateFrontAuditConfig(param) {
  return request({
    url: `/FrontAuditConfig/addOrUpdateFrontAuditConfig`,
    method: 'post',
    data: param
  })
}
export function deleteFrontAuditConfig(frontAuditConfigId) {
  return request({
    url: `/FrontAuditConfig/deleteFrontAuditConfig/${frontAuditConfigId}`,
    method: 'delete'
  })
}

export function copyOtherToThisItem(param) {
  return request({
    url: `/FrontAuditConfig/copyOtherToThisItem`,
    method: 'post',
    data: param
  })
}

export function getAuditConfigChildList(param) {
  return request({
    url: `/FrontAuditConfig/getAuditConfigChildList?frontAuditConfigId=${param}`,
    method: 'get',

  })
}

export function changeFrontAuditSort(param) {
  return request({
    url: `/FrontAuditConfig/changeFrontAuditSort`,
    method: 'post',
    data: param
  })
}

export function getModuleTypeDescriptionList(param) {
  return request({
    url: `${param === '' ? '/FrontAuditConfig/getModuleTypeDescriptionList' : '/FrontAuditConfig/getModuleTypeDescriptionList?moduleTypeId='+ param}`,
    method: 'get',
  })
}

export function setInspectionEnumValue(param) {
  return request({
    url: `/FrontAuditConfig/SetInspectionEnumValue`,
    method: 'post',
    data: param
  })
}

export function copyFrontAuditConfigItem(param) {
  return request({
    url: `/FrontAuditConfig/copyFrontAuditConfigItem`,
    method: 'post',
    data: param
  })
}

export function fullyReplicated(param) {
  return request({
    url: `/FrontAuditConfig/fullyReplicated`,
    method: 'post',
    data: param
  })
}

